Bug 604617 (CVE-2010-3878)

Summary: CVE-2010-3878 JBoss EAP jmx console FileDeployment CSRF
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: atangrin, bgeorges, dandread, djorm, fnasser, mjc, pcheung, remm, rsvoboda, security-response-team, thauser, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20100615,reported=20100615,cvss2=4/AV:N/AC:L/Au:S/C:N/I:P/A:N,cwe=CWE-352[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-07 06:41:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 737771    

Comment 5 Vincent Danen 2010-12-01 22:36:04 UTC
A Cross-Site Request Forgery (CSRF) flaw was found in the JMX Console. A remote attacker could use this flaw to deploy a WAR file of their choosing on the target server, if they are able to trick a user, who is logged into the JMX Console as the admin user, into visiting a specially-crafted web page.

Comment 6 errata-xmlrpc 2010-12-01 23:15:48 UTC
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 4

Via RHSA-2010:0937 https://rhn.redhat.com/errata/RHSA-2010-0937.html

Comment 7 errata-xmlrpc 2010-12-01 23:36:25 UTC
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 5

Via RHSA-2010:0938 https://rhn.redhat.com/errata/RHSA-2010-0938.html

Comment 8 errata-xmlrpc 2010-12-01 23:51:55 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 4.3.0

Via RHSA-2010:0939 https://rhn.redhat.com/errata/RHSA-2010-0939.html

Comment 9 David Jorm 2011-09-13 03:47:09 UTC
This issue was addressed in the GA release of EAP 5.1.0.

Comment 10 David Jorm 2012-03-07 06:41:58 UTC
Broader CSRF concerns for the JMX Console are covered by CVE-2011-2908, bug #730176